Subject: Re: RFC cpm2_devices DPRAM resource

From: Pantelis Antoniou <[email-masked]>
Date: Fri, 17 Jun 2005 09:48:03 +0300

Allen Curtis wrote:
>>> Should the DPRAM appear as it's own platform_device?
>>
>>
>> No.
>>
>>> Option 1) Specify the portion of the DPRAM used by each device with 
>>> that platform_device definition. (current)
>>
>>
>> You mean the parameter space?  That's different from DPRAM.
>>
>>> Option 2) Define the whole DPRAM region as its own platform_device 
>>> entry. Move the device DPRAM information to the device specific 
>>> platform structure.
>>
>>
>> How is this any different from using the dpalloc() as it is today?
>>
>> The problem is that for the few standard devices we publicly support in
>> Linux it is easy to think of DPRAM as a "general" resource.  However, for
>> more challenging devices and implementation, there are sometimes specific
>> regions of DPRAM that must be used with various additional restrictions.
>> For many of the "real world" devices I have done, drivers would manage
>> their own, well known, DPRAM areas.  It isn't something that is easy
>> to generalize or configure in advance.
>>
> Time for code.
> 
> - Allen
> 

FWIW the current dpalloc implementation supports "carving out" the usable
dpram out of the whole. I mean you could conceivably not "give" the driver
specific dpram areas to the generic allocator. This should be a per platform
configuration item.

The current code just doesn't bother...

Regards

Pantelis